org.eclipse.ui

## Interface IPersistable

All Known Subinterfaces:
  IAggregateWorkingSet, IConsoleView, IDebugView, IPersistableEditor, IPersistableElement, IResourceNavigator, ISearchResultView, ISearchResultViewPart, ISynchronizeView, IViewPart, IWorkingSet

All Known Implementing Classes:
  AbstractDebugView, AbstractDecoratedTextEditor, AbstractTextEditor, BookmarkNavigator, CommonNavigator, ContentOutline, org.eclipse.ui.internal.views.markers.ExtendedMarkersView, FileEditorInput, FileInPlaceEditorInput, FileStoreEditorInput, MarkerSupportView, PageBookView, ProjectExplorer, PropertySheet, ResourceNavigator, StatusTextEditor, TaskList, TemplatesView, TextEditor, ViewPart

    public interface IPersistable

Objects implementing this interface are capable of saving their state in an `IMemento`.

Since:
  3.1

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `saveState(IMemento memento)` Saves the state of the object in the given memento.

### Method Detail

#### saveState

    void saveState(IMemento memento)

Saves the state of the object in the given memento.

Parameters:
  `memento` - the storage area for object's state